Name: lvm-iop10-patchgen
Version: 0.9.1_beta6
Release: 1
URL: http://sistina.com/lvm
Source: ftp://ftp.sistina.com/pub/LVM/0.9.1_beta/lvm_%{version}.tar.gz
Patch1: LVM_patch_generator.diff.gz
BuildArchitectures: i386
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: lvm-patch
Summary: LVM Kernel patch generator (IOP 10)
License: GPL
Vendor: Sistina Software, Inc
Packager: AJ Lewis <lewis@sistina.com>
Group: Administration

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, multiple
devices (MD) or even loop devices), creating volume groups (virtual disks)
from one or more physical volumes and creating one or more logical volumes
(logical partitions) in volume groups.

This package contains the LVM kernel patch generator.

%prep
%setup -q -n LVM/%{version}
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/src
cp PATCHES/README PATCHES/README.patch
cd ..
rm -rf patch_gen-%{version}
cp -a %{version} patch_gen-%{version}
tar zcf $RPM_BUILD_ROOT/usr/src/LVM_patch_generator.tar.gz patch_gen-%{version}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf LVM/patch_gen-%{version}

%files
%defattr(644,root,root,0755)
%doc COPYING README PATCHES/README.patch
/usr/src/LVM_patch_generator.tar.gz

%changelog
* Tue Mar 13 2001 Andrew Lewis <lewis@sistina.com>
+ 0.9.1_beta6-1
- This is the patch generation stuff from the lvm source yanked out and
  put into a standalone form.
